# frozen_string_literal: true

namespace :load do
  task :defaults do
    set :scm, nil
    set :exposed_ports, []
    set :database_image, nil
    set :docker_image_tag, 'latest'
    set :docker_labels, []
    set :docker_options, '--log-opt max-size=200m'
    set :docker_db_options, '--log-opt max-size=200m'
    set :docker_network, nil
    set :docker_registry, nil
    set :docker_registry_user, nil
    set :docker_registry_password, nil
    set :docker_registry_image, nil
    set :slug, "#{fetch(:application)}-#{fetch(:stage)}"
  end
end
